## GnomeCanvasPolygon GnomeCanvasPolygon — Polygon canvas item |

## Synopsis

    #include <libgnomecanvas/libgnomecanvas.h>

    struct              GnomeCanvasPolygon;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasShape
                               +----GnomeCanvasPolygon

## Properties

      "points"                   GnomeCanvasPoints*    : Read / Write

## Description

A canvas item for drawing polygon (multi sided) shapes.

## Details

### struct GnomeCanvasPolygon

    struct GnomeCanvasPolygon;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The `"points"` property

      "points"                   GnomeCanvasPoints*    : Read / Write

Pointer to a GnomeCanvasPoints structure. This can be created by a call to `gnome_canvas_points_new()`.